Skip to main content
GET
/
campaigns
/
{id}
Get campaign
curl --request GET \
  --url https://api.mailrify.com/campaigns/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "subject": "<string>",
    "body": "<string>",
    "from": "[email protected]",
    "fromName": "<string>",
    "replyTo": "[email protected]",
    "audienceType": "ALL",
    "audienceCondition": {
      "logic": "AND",
      "groups": [
        {
          "filters": [
            {
              "field": "<string>",
              "operator": "equals",
              "value": "<unknown>",
              "unit": "days"
            }
          ],
          "conditions": "<unknown>"
        }
      ]
    },
    "segmentId": "<string>",
    "status": "DRAFT",
    "totalRecipients": 123,
    "sentCount": 123,
    "deliveredCount": 123,
    "openedCount": 123,
    "clickedCount": 123,
    "bouncedCount": 123,
    "scheduledFor": "2023-11-07T05:31:56Z",
    "sentAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "segment": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "condition": {
        "logic": "AND",
        "groups": [
          {
            "filters": [
              {
                "field": "<string>",
                "operator": "equals",
                "value": "<unknown>",
                "unit": "days"
              }
            ],
            "conditions": "<unknown>"
          }
        ]
      },
      "trackMembership": true,
      "memberCount": 123,
      "projectId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Path Parameters

id
string
required

Response

Campaign details

success
boolean
data
object